Next Previous Up Contents
Next: Examples
Up: datalinklint: Validates DataLink documents
Previous: datalinklint: Validates DataLink documents

### B.6.1 Usage

The usage of `datalinklint` is

       stilts <stilts-flags> datalinklint version=1.0|1.1 format=text|json
                                          report=[EWISF]+ maxrepeat=<int-value>
                                          truncate=<int-value> debug=true|false
                                          [votable=]<filename>|<URL>|-

If you don't have the `stilts` script installed, write "`java -jar stilts.jar`" instead of "`stilts`" - see Section 3. The available `<stilts-flags>` are listed in Section 2.1. For programmatic invocation, the Task class for this command is `uk.ac.starlink.ttools.task.DatalinkLint`.

Parameter values are assigned on the command line as explained in Section 2.3. They are as follows:

`debug = true|false` (Boolean)
  If true, debugging output including stack traces will be output along with the normal validation messages.

  [Default: `false`]

`format = text|json` (OutputReporter)
  Determines the format of the output. Possible values are `text`, `json`.

  Note not all of the other parameters may be applicable to all output formats.

  [Default: `text`]

`maxrepeat = <int-value>` (Integer)
  Puts a limit on the number of times that a single message will be repeated. By setting this to some reasonably small number, you can ensure that the output does not get cluttered up by millions of repetitions of essentially the same error.

  [Default: `9`]

`report = [EWISF]+` (String)
  Letters indicating which message types should be listed. Each character of the string is one of the letters `E`, `W`, `I`, `S`, `F` with the following meanings:
  - `E`: Error in operation or standard compliance of the service.
  - `W`: Warning that service behaviour is questionable, or contravenes a standard recommendation, but is not in actual violation of the standard.
  - `I`: Information about progress, for instance details of queries made.
  - `S`: Summary of previous successful/unsuccessful reports.
  - `F`: Failure of the validator to perform some testing. The cause is either some error internal to the validator, or some error or missing functionality in the service which has already been reported.

  [Default: `EWISF`]

`truncate = <int-value>` (Integer)
  Limits the line length written to the output.

  [Default: `640`]

`version = 1.0|1.1` (uk.ac.starlink.vo.DatalinkVersion)
  Selects the version of the DataLink standard which the input document is supposed to conform to. If left blank, the default, then the version will be determined from the document itself if possible, otherwise a default value for the application will be used.

  Options are currently:

  - `1.0`: REC-DataLink-1.0
  - `1.1`: REC-DataLink-1.1

  If a non-null version is specified and it conflicts with declarations in the document itself, this conflict will be reported as an error.

`votable = <filename>|<URL>|-` (String)
  Location of the DataLink VOTable document to check. This may be a URL, or a filename, or the special value "`-`" to indicate standard input.

Next Previous Up Contents
Next: Examples
Up: datalinklint: Validates DataLink documents
Previous: datalinklint: Validates DataLink documents

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk